Verify TOTP enrollment and get backup codes
POST
/user/me/mfa/totp/verify
Request Body
codestring
Response Body
backup_codesstring[]
successboolean
curl -X POST 'https://api.elaichi.ai/user/me/mfa/totp/verify' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"code":"your_code"}'const body = {
"code": "your_code"
};
const response = await fetch('https://api.elaichi.ai/user/me/mfa/totp/verify', {
method: 'POST',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/user/me/mfa/totp/verify"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
payload = {
"code": "your_code"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())